Bug 314141 - JConsole Gnome crash
JConsole Gnome crash
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: java-1.7.0-icedtea (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Thomas Fitzsimmons
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-01 12:39 EDT by Marc Schoenefeld
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-12 17:01:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dump file (151.71 KB, application/octet-stream)
2007-10-01 12:39 EDT, Marc Schoenefeld
no flags Details

  None (edit)
Description Marc Schoenefeld 2007-10-01 12:39:38 EDT
Description of problem:

jconsole crashes when used on a local gnome display, remote displays via 
X11 are not affected.

Version-Release number of selected component (if applicable):

[schonef@localhost ~]$ jconsole -version
JConsole version "1.7.0-kojibuilder_27_sep_2007_14_56-b00"
IcedTea Runtime Environment (build 1.7.0-kojibuilder_27_sep_2007_14_56-b00)
IcedTea Client VM (build 11.0-b05, mixed mode)



How reproducible:

Start jconsole, select a JVM (I selected a gcjwebplugin instance) 
and click a while on various controls. On the console the following
text is emitted: 

[schonef@localhost ~]$ jconsole 

(<unknown>:11755): Gtk-WARNING **: Attempting to add a widget with type GtkButto
n to a GtkComboBoxEntry (need an instance of GtkEntry or of a subclass)

(<unknown>:11755): Gtk-CRITICAL **: gtk_widget_realize: assertion `GTK_WIDGET_AN
CHORED (widget) || GTK_IS_INVISIBLE (widget)' failed

(<unknown>:11755): Gtk-CRITICAL **: gtk_paint_box: assertion `style->depth == gd
k_drawable_get_depth (window)' failed

(<unknown>:11755): Gtk-CRITICAL **: gtk_paint_box: assertion `style->depth == gd
k_drawable_get_depth (window)' failed

(<unknown>:11755): Gtk-CRITICAL **: gtk_paint_box: assertion `style->depth == gd
k_drawable_get_depth (window)' failed

(<unknown>:11755): Gtk-CRITICAL **: gtk_paint_box: assertion `style->depth == gd
k_drawable_get_depth (window)' failed
4e1a89cc-c00b-28d3-170982fe-779a5b2a is dumped
Comment 1 Marc Schoenefeld 2007-10-01 12:39:38 EDT
Created attachment 212451 [details]
Dump file
Comment 2 Thomas Fitzsimmons 2007-10-02 16:54:04 EDT
Disabling the GTKLookAndFeel works around the problem:

jconsole -J-Dswing.defaultlaf=javax.swing.plaf.metal.MetalLookAndFeel

Note You need to log in before you can comment on or make changes to this bug.